"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IDL = void 0;
exports.IDL = {
    "version": "0.1.0",
    "name": "render_entity_manager",
    "instructions": [
        {
            "name": "initializeMakerV0",
            "accounts": [
                {
                    "name": "payer",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "maker",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "merkleTree",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "treeConfig",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "bubblegumProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "compressionProgram",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "logWrapperProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "args",
                    "type": {
                        "defined": "InitializeMakerArgsV0"
                    }
                }
            ]
        }
    ],
    "accounts": [
        {
            "name": "makerV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "updateAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "issuingAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "name",
                        "type": "string"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    },
                    {
                        "name": "merkleTree",
                        "type": "publicKey"
                    }
                ]
            }
        }
    ],
    "types": [
        {
            "name": "CreateJobArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "name",
                        "type": "string"
                    },
                    {
                        "name": "rcAmount",
                        "type": "u64"
                    }
                ]
            }
        },
        {
            "name": "InitializeMakerArgsV0",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "updateAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "issuingAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "name",
                        "type": "string"
                    }
                ]
            }
        }
    ]
};
//# sourceMappingURL=render_entity_manager.js.map